package org.bitbucket.bradleysmithllc.etlunit.feature.hsqldb_database;

import org.bitbucket.bradleysmithllc.etlunit.feature.database.BaseDatabaseImplemenation;
import org.bitbucket.bradleysmithllc.etlunit.feature.database.DatabaseConnection;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;
import org.hsqldb.jdbc.JDBCDriver;

import java.sql.*;

public class HSQLDBDatabaseImplementation extends BaseDatabaseImplemenation
{
	public database_state getDatabaseState(DatabaseConnection databaseConnection, String s)
	{
		return database_state.fail;
	}

	public String getImplementationId()
	{
		return "hsqldb";
	}

	public Object processOperationSub(operation op, OperationRequest request) throws UnsupportedOperationException
	{
		return null;
	}

	@Override
	public String getJdbcUrl(DatabaseConnection dc, String mode, int id)
	{
		return "jdbc:hsqldb:mem:/" + dc.getId() + "/" + mode + ";shutdown=true";
	}

	@Override
	public Class getJdbcDriverClass()
	{
		return JDBCDriver.class;
	}

	public String getDefaultSchema(DatabaseConnection databaseConnection, String mode)
	{
		return "PUBLIC";
	}
}
